Subject: Re: [RFC] fetch: support hideRefs to speed up connectivity checks

From: Eric Wong <[email-masked]>
Date: Fri, 10 Feb 2023 21:59:09 +0000

Jonathan Tan <[email-masked]> wrote:
> Eric Wong <[email-masked]> writes:
> >    git -c transfer.hideRefs=refs \
> > 	-c transfer.hideRefs='!refs/remotes/$REMOTE/' \
> > 	fetch $REMOTE
> > 
> > I initially considered passing --negotiation-tip OIDs, but this seems
> > like an easier solution as I'm not yet familiar with this code
> > and prefer to avoid writing too much C.
> 
> --negotiation-tip supports ref name globs too. Would that be sufficient
> for your purposes?

Yes, I tried using globs but didn't want to figure out how to
pass the resulting OIDs to rev-list.